namespace RadSchedulerApp.Data.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    public sealed class Configuration : DbMigrationsConfiguration<RadSchedulerDbContext>
    {
        public Configuration()
        {
            this.AutomaticMigrationsEnabled = true;
            this.AutomaticMigrationDataLossAllowed = true;
        }

        protected override void Seed(RadSchedulerDbContext context)
        {
            if (!context.Appointments.Any())
            {
                this.SeedAppointments(context);
            }
        }

        private void SeedAppointments(RadSchedulerDbContext context)
        {
            var seedData = new SeedData();

            foreach (var appointment in seedData.Appointments)
            {
                context.Appointments.AddOrUpdate(appointment);
            }

            context.SaveChanges();
        }
    }
}
